Index: palm/trunk/SOURCE/coriolis.f90
===================================================================
--- palm/trunk/SOURCE/coriolis.f90	(revision 1310)
+++ palm/trunk/SOURCE/coriolis.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-!
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements,
+! kinds are defined in new module kinds,
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements
 !
 ! Former revisions:
@@ -38,19 +44,4 @@
 ! 1015 2012-09-27 09:23:24Z raasch
 ! accelerator version (*_acc) added
-!
-! 254 2009-03-05 15:33:42Z heinze
-! Output of messages replaced by message handling routine.
-!
-! 106 2007-08-16 14:30:26Z raasch
-! loops for u and v are starting from index nxlu, nysv, respectively (needed
-! for non-cyclic boundary conditions)
-!
-! 75 2007-03-22 09:54:05Z raasch
-! uxrp, vynp eliminated
-!
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/02/23 10:08:57  raasch
-! nzb_2d replaced by nzb_u/v/w_inner
 !
 ! Revision 1.1  1997/08/29 08:57:38  raasch
@@ -83,12 +74,22 @@
     SUBROUTINE coriolis( component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  nxl, nxlu, nxr, nyn, nys, nysv, nzb_u_inner, nzb_v_inner,    &
+                  nzb_w_inner, nzt
+                   
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !: 
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !: 
 
 
@@ -103,9 +104,9 @@
                 DO  j = nys, nyn
                    DO  k = nzb_u_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *            &
-                                   ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +   &
-                                     v(k,j+1,i) ) - vg(k) )                   &
-                                             - fs *    ( 0.25 *               &
-                                   ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) + &
+                      tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *             &
+                                   ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +    &
+                                     v(k,j+1,i) ) - vg(k) )                    &
+                                             - fs *    ( 0.25 *                &
+                                   ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +  &
                                      w(k,j,i)   ) &
                                                           )
@@ -120,6 +121,6 @@
                 DO  j = nysv, nyn
                    DO  k = nzb_v_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *          &
-                                   ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
+                      tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *             &
+                                   ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +    &
                                      u(k,j,i+1) ) - ug(k) )
                    ENDDO
@@ -133,6 +134,6 @@
                 DO  j = nys, nyn
                    DO  k = nzb_w_inner(j,i)+1, nzt
-                      tend(k,j,i) = tend(k,j,i) + fs * 0.25 *             &
-                                   ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                      tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                  &
+                                   ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +      &
                                      u(k+1,j,i+1) )
                    ENDDO
@@ -155,12 +156,22 @@
     SUBROUTINE coriolis_acc( component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  i_left, i_right, j_north, j_south, nzb_u_inner,              &
+                  nzb_v_inner, nzb_w_inner, nzt
+                   
+       USE kinds
 
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !:
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !:
 
 
@@ -215,6 +226,6 @@
                    DO  k = 1, nzt
                       IF  ( k > nzb_w_inner(j,i) )  THEN
-                         tend(k,j,i) = tend(k,j,i) + fs * 0.25 *             &
-                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                         tend(k,j,i) = tend(k,j,i) + fs * 0.25 *               &
+                                      ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +   &
                                         u(k+1,j,i+1) )
                       ENDIF
@@ -239,12 +250,21 @@
     SUBROUTINE coriolis_ij( i, j, component )
 
-       USE arrays_3d
-       USE control_parameters
-       USE indices
-       USE pegrid
-
+       USE arrays_3d,                                                          &
+           ONLY:  tend, u, ug, v, vg, w 
+           
+       USE control_parameters,                                                 &
+           ONLY:  f, fs, message_string
+           
+       USE indices,                                                            &
+           ONLY:  nzb_u_inner, nzb_v_inner, nzb_w_inner, nzt
+           
+       USE kinds
+       
        IMPLICIT NONE
 
-       INTEGER ::  component, i, j, k
+       INTEGER(iwp) ::  component  !: 
+       INTEGER(iwp) ::  i          !:
+       INTEGER(iwp) ::  j          !: 
+       INTEGER(iwp) ::  k          !:
 
 !
@@ -256,11 +276,10 @@
           CASE ( 1 )
              DO  k = nzb_u_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *               &
-                                ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +   &
-                                  v(k,j+1,i) ) - vg(k) )                   &
-                                          - fs *    ( 0.25 *               &
-                                ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) + &
-                                  w(k,j,i)   ) &
-                                                    )
+                tend(k,j,i) = tend(k,j,i) + f  *    ( 0.25 *                   &
+                                ( v(k,j,i-1) + v(k,j,i) + v(k,j+1,i-1) +       &
+                                  v(k,j+1,i) ) - vg(k) )                       &
+                                          - fs *    ( 0.25 *                   &
+                                ( w(k-1,j,i-1) + w(k-1,j,i) + w(k,j,i-1) +     &
+                                  w(k,j,i)   ) )
              ENDDO
 
@@ -269,6 +288,6 @@
           CASE ( 2 )
              DO  k = nzb_v_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *             &
-                                ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) + &
+                tend(k,j,i) = tend(k,j,i) - f *     ( 0.25 *                   &
+                                ( u(k,j-1,i) + u(k,j,i) + u(k,j-1,i+1) +       &
                                   u(k,j,i+1) ) - ug(k) )
              ENDDO
@@ -278,6 +297,6 @@
           CASE ( 3 )
              DO  k = nzb_w_inner(j,i)+1, nzt
-                tend(k,j,i) = tend(k,j,i) + fs * 0.25 * &
-                                ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) + &
+                tend(k,j,i) = tend(k,j,i) + fs * 0.25 *                        &
+                                ( u(k,j,i) + u(k+1,j,i) + u(k,j,i+1) +         &
                                   u(k+1,j,i+1) )
              ENDDO
